summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorPier Luigi Fiorini2018-12-24 14:28:33 +0100
committerPier Luigi Fiorini2018-12-24 14:28:33 +0100
commit36cb3a120559e39101ccc1f84841188fdc3e5d11 (patch)
treeb774467424d86a6f179d867229d142f1fb32ec5b
parent93105eb50e306967213619fad1d48d539531b276 (diff)
downloadaur-36cb3a120559e39101ccc1f84841188fdc3e5d11.tar.gz
Switch to CMake
-rw-r--r--.SRCINFO7
-rw-r--r--PKGBUILD37
2 files changed, 26 insertions, 18 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 825857cebe1..53857d11a3c 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,6 +1,8 @@
+# Generated by mksrcinfo v8
+# Mon Dec 24 13:28:28 UTC 2018
pkgbase = fluid-git
pkgdesc = Components for Qt Quick applications with Material Design
- pkgver = 20181014.881.a2b666fd
+ pkgver = v0.11.0.r262.gb36073a
pkgrel = 1
url = https://liri.io
arch = i686
@@ -10,7 +12,8 @@ pkgbase = fluid-git
groups = liri-git
license = MPL2
makedepends = git
- makedepends = liri-qbs-shared-git
+ makedepends = liri-cmake-shared-git
+ makedepends = qt5-doc
makedepends = qt5-tools
depends = qt5-quickcontrols2
depends = qt5-graphicaleffects
diff --git a/PKGBUILD b/PKGBUILD
index 799668cdde5..bab71eb6a4f 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,14 +1,14 @@
# Maintainer: Pier Luigi Fiorini <pierluigi.fiorini@gmail.com>
pkgname=fluid-git
-pkgver=20181014.881.a2b666fd
+pkgver=v0.11.0.r262.gb36073a
pkgrel=1
pkgdesc="Components for Qt Quick applications with Material Design"
arch=('i686' 'x86_64' 'armv6h' 'armv7h')
url='https://liri.io'
license=('MPL2')
depends=('qt5-quickcontrols2' 'qt5-graphicaleffects' 'qt5-svg' 'ttf-roboto')
-makedepends=('git' 'liri-qbs-shared-git' 'qt5-tools')
+makedepends=('git' 'liri-cmake-shared-git' 'qt5-doc' 'qt5-tools')
options=(debug !strip)
conflicts=('fluid')
replaces=('fluid')
@@ -23,27 +23,32 @@ md5sums=('SKIP')
pkgver() {
cd ${srcdir}/${_gitname}
- echo "$(git log -1 --format="%cd" --date=short | tr -d '-').$(git rev-list --count HEAD).$(git log -1 --format="%h")"
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
}
prepare() {
- cd ${srcdir}/${_gitname}
- git submodule update --init
+ mkdir -p build
}
build() {
- cd ${srcdir}/${_gitname}
- qbs setup-toolchains --type gcc /usr/bin/g++ gcc
- qbs setup-qt /usr/bin/qmake-qt5 qt5
- qbs config profiles.qt5.baseProfile gcc
- qbs build --no-install -d build profile:qt5 \
- modules.lirideployment.prefix:/usr \
- modules.lirideployment.qmlDir:/usr/lib/qt/qml \
- projects.Fluid.useSystemQbsShared:true \
- projects.Fluid.withDocumentation:false
+ cd build
+ cmake ../${_gitname} \
+ -DCMAKE_BUILD_TYPE=Release \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DBUILD_TESTING:BOOL=OFF \
+ -DFLUID_USE_SYSTEM_LCS:BOOL=ON \
+ -DINSTALL_SYSCONFDIR=/etc \
+ -DINSTALL_LIBDIR=/usr/lib \
+ -DINSTALL_LIBEXECDIR=/usr/lib \
+ -DINSTALL_QMLDIR=/usr/lib/qt/qml \
+ -DINSTALL_PLUGINSDIR=/usr/lib/qt/plugins
+ make
}
package() {
- cd ${srcdir}/${_gitname}
- qbs install -d build --no-build -v --install-root $pkgdir profile:qt5
+ cd build
+ make DESTDIR="$pkgdir" install
}